Page MenuHomePhabricator

Removed unused 'position' statements from module registrations in extensions and skins
Closed, ResolvedPublic

Description

position => top|bottom does nothing since MediaWiki 1.29 (T109837). Since MLEB policy is to support two latest MediaWiki releases, it is now safe to remove this code for the following extensions:

  • Babel
  • Translate
  • UniversalLanguageSelector

In addition I know the following extensions can also be updated:

  • TwnMainPage
  • ContentTranslation

The resource loader module definitions are usually found in extension.json, but some of them can be in PHP files too (e.g. Translate or those defined conditionally in hooks).

Possible places to check, (false positive possible):

https://codesearch.wmflabs.org/search/?q=%22position%22%5Cs*%3A%5Cs*%22(top%7Cbottom)%22%7C%5B%22'%5Dposition%5B%22'%5D%5Cs*%3D%3E%5Cs*%5B%22'%5D(top%7Cbottom)%5B%22'%5D&i=nope&files=.*%5C.(json%7Cphp)&repos=

Related Objects

Mentioned In
rEQS37357d9ae5fd: Final NoteDb migration updates
rEMOOC2524ac7c8083: Final NoteDb migration updates
rEBSD361d48ad6144: Final NoteDb migration updates
rSVEV032a6d6d198a: Final NoteDb migration updates
rEBTO909f0a2a217e: Final NoteDb migration updates
rERXBa1b0013e5aa0: Final NoteDb migration updates
rECWe5a9efa06713: Final NoteDb migration updates
rEBSXfe6ad7cb5f5b: Final NoteDb migration updates
rEBTN4c6e37333277: Final NoteDb migration updates
rEBTAa16e27d2a88d: Final NoteDb migration updates
rEBSBc9f590cbce08: Final NoteDb migration updates
rEBSGdd8c92f071de: Final NoteDb migration updates
rEDBT3241af7d9c3f: Final NoteDb migration updates
rEXFA83e35e50da1e: Final NoteDb migration updates
rERSLc431c26ae0e2: Final NoteDb migration updates
rEPFM7e95c97d7ae8: Final NoteDb migration updates
rEWBI4655d50820e3: Final NoteDb migration updates
rSEXAMPLEd8f4e1bb596a: Final NoteDb migration updates
rESHM3ee3ca62507b: Final NoteDb migration updates
rEBSW0fe97f6fe2d7: Update patch set 1
rEWLE4489fec497df: Final NoteDb migration updates
rETLIbc84a54e181e: Final NoteDb migration updates
rEBSMU6badae88cacc: Final NoteDb migration updates
rEBTJ0d88960a2b65: Final NoteDb migration updates
rECOS69bc1fb2dbcf: Final NoteDb migration updates
rEBSES02edda3eec0e: Final NoteDb migration updates
rEBTMb72d0a6d55aa: Final NoteDb migration updates
rEBTL2f3e119bb742: Final NoteDb migration updates
rEBTSf8352f95fe0c: Final NoteDb migration updates
rEDBT8118886e100b: Removed deprecated position statements from resource loader module
rECW1c870a1fa5f6: Removed deprecated position statements from resource loader module
rECWeeeb514fea62: Removed deprecated position statements from resource loader module
rECOS5376b92adde3: Removed deprecated position statements from resource loader module
rSEXAMPLEd396b0f06500: Removed deprecated position statements from resource loader module
rMSAMc82f851ba345: Removed deprecated position statements from resource loader module
rESHHe9d274519801: Removed deprecated position statements from resource loader module
rEMOOC05084f8e170b: Removed deprecated position statements from resource loader module
rEBSR35ecfdac5874: Removed deprecated position statements from resource loader module
rEBSG426844db9080: Removed deprecated position statements from resource loader module
rEBTS7f92b2abac7b: Removed deprecated position statements from resource loader module
rEBTS2134cdcc6f1a: Removed deprecated position statements from resource loader module
rEBTL53a2f9eb08e2: Removed deprecated position statements from resource loader module
rEBTL63bafaca0906: Removed deprecated position statements from resource loader module
rEBSX3377aa1874df: Removed deprecated position statements from resource loader module
rEBSXe74d4fabd142: Removed deprecated position statements from resource loader module
rEBTJ8c1a597e6257: Removed deprecated position statements from resource loader module
rEBTA7166ed39dc5e: Removed deprecated position statements from resource loader module
rEIMRa4672b9a4ed4: Removed deprecated position statements from resource loader module
rEBTKa04df4b0176d: Removed deprecated position statements from resource loader module
rEBSD606f8a14cdcb: Removed deprecated position statements from resource loader module
rEPFM75a109e74314: Removed deprecated position statements from resource loader module
rEPFM4684194c2070: Removed deprecated position statements from resource loader module
R1893:624f6dcb60a7: Removed deprecated position statements from resource loader module
rSVEV0ff5608a95e5: Removed deprecated position statements from resource loader module
rSVEVb7bbe17dfe03: Removed deprecated position statements from resource loader module
rERXB8e4bebda6b71: Removed deprecated position statements from resource loader module
rEQSf7e0e5ed8f6d: Removed deprecated position statements from resource loader module
rETLIa1e017feee39: Removed deprecated position statements from resource loader module
rERSLc6e469ddc572: Removed deprecated position statements from resource loader module
rESTLHd8cca2cc899b: Removed deprecated position statements from resource loader module
rESHM90f265cd184f: Removed deprecated position statements from resource loader module
rESRX27bb55a7ea32: Removed deprecated position statements from resource loader module
rEBSESf2400b425900: Removed deprecated position statements from resource loader module
rEBSB1e752677e9fa: Removed deprecated position statements from resource loader module
rEWLE63d61293dc00: Removed deprecated position statements from resource loader module
rEWBIbed9da6988ea: Removed deprecated position statements from resource loader module
rEBSMU32e4d86e9bde: Removed deprecated position statements from resource loader module
rEXFA764c8809ca13: Removed deprecated position statements from resource loader module
rEBSMUcd336bfae2c4: Removed deprecated position statements from resource loader module
rEBTO39aea05c26b9: Removed deprecated position statements from resource loader module
rEBTM88362e0068f1: Removed deprecated position statements from resource loader module
rEBTN40993bfeabbb: Removed deprecated position statements from resource loader module
rEBSW41db64e82326: Removed deprecated position statements from resource loader module
Mentioned Here
T109837: Remove top/bottom queue distinction

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 410051 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/core@master] Removed deprecated position statements from resource loader tests

https://gerrit.wikimedia.org/r/410051

Change 410049 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/GreyStuff@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410049

Change 410052 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/Metrolook@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410052

Change 410054 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/core@master] Remove ResourceLoaderModule::getPosition

https://gerrit.wikimedia.org/r/410054

Change 410049 merged by jenkins-bot:
[mediawiki/skins/GreyStuff@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410049

Change 410055 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/Vector@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410055

Change 410052 merged by jenkins-bot:
[mediawiki/skins/Metrolook@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410052

Change 410044 merged by jenkins-bot:
[mediawiki/skins/Gamepress@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410044

Change 410047 merged by jenkins-bot:
[mediawiki/skins/DuskToDawn@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410047

Change 410056 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/apex@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410056

Change 410055 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410055

Change 410058 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/MonoBook@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410058

Change 410056 merged by jenkins-bot:
[mediawiki/skins/apex@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410056

Change 410060 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/Bouquet@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410060

Change 410061 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/Daddio@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410061

Change 409897 abandoned by Zoranzoki21:
Removed deprecated position statements from resource loader module

Reason:
This will be fixed in https://gerrit.wikimedia.org/r/#/c/409733/

https://gerrit.wikimedia.org/r/409897

Change 410062 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/DeskMessMirrored@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410062

Change 410061 merged by jenkins-bot:
[mediawiki/skins/Daddio@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410061

Change 410060 merged by jenkins-bot:
[mediawiki/skins/Bouquet@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410060

Change 410064 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/Dusk@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410064

Change 410062 merged by jenkins-bot:
[mediawiki/skins/DeskMessMirrored@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410062

Change 410058 merged by jenkins-bot:
[mediawiki/skins/MonoBook@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410058

Change 410051 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Removed tests for deprecated 'position' parameter

https://gerrit.wikimedia.org/r/410051

Change 410064 merged by jenkins-bot:
[mediawiki/skins/Dusk@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410064

Change 410065 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/skins/CologneBlue@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410065

Change 410065 merged by jenkins-bot:
[mediawiki/skins/CologneBlue@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410065

Change 410141 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/extensions/CommentStreams@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410141

Change 410143 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/extensions/Comments@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410143

Change 410144 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/extensions/CookieWarning@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410144

Change 410145 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/extensions/DebateTree@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410145

Change 410147 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/extensions/DismissableSiteNotice@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410147

Change 410148 had a related patch set (by Tulsi Bhagat) published:
[mediawiki/extensions/DisqusTag@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410148

Change 410144 merged by jenkins-bot:
[mediawiki/extensions/CookieWarning@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410144

Change 409874 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/409874

Change 410148 merged by jenkins-bot:
[mediawiki/extensions/DisqusTag@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410148

Change 410147 merged by jenkins-bot:
[mediawiki/extensions/DismissableSiteNotice@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410147

Change 410145 merged by jenkins-bot:
[mediawiki/extensions/DebateTree@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410145

Change 410143 merged by jenkins-bot:
[mediawiki/extensions/Comments@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410143

Change 410141 merged by jenkins-bot:
[mediawiki/extensions/CommentStreams@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/410141

Change 409893 merged by jenkins-bot:
[mediawiki/extensions/MOOC@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/409893

Krinkle added a subscriber: Krinkle.
Restricted Application added a project: Performance-Team. · View Herald TranscriptFeb 14 2018, 11:50 PM
Krinkle renamed this task from Removed deprecated position statements from resource loader module in some extensions and skins to Removed unused 'position' statements from module registrations in extensions and skins.Feb 14 2018, 11:51 PM
Krinkle assigned this task to Umherirrender.
Krinkle moved this task from Inbox to Doing on the Performance-Team board.
Krinkle closed this task as Resolved.
Krinkle moved this task from Inbox to Accepted: Enhancement on the MediaWiki-ResourceLoader board.

Change 410054 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Remove ResourceLoaderModule::getPosition

https://gerrit.wikimedia.org/r/410054

Finally is resolved :)

Jayprakash12345 reopened this task as Open.Mar 23 2018, 10:43 AM

not yet

Change 421499 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/Flow@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/421499

Change 421501 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/BiblioPlus@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/421501

Change 421504 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/GlobalUserPage@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/421504

Change 421507 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/GettingStarted@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/421507

Change 421501 merged by jenkins-bot:
[mediawiki/extensions/BiblioPlus@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/421501

Change 421504 merged by jenkins-bot:
[mediawiki/extensions/GlobalUserPage@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/421504

Change 421499 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/421499

Change 421507 merged by Jforrester:
[mediawiki/extensions/GettingStarted@master] Removed deprecated position statements from resource loader module

https://gerrit.wikimedia.org/r/421507

Jayprakash12345 closed this task as Resolved.Mar 24 2018, 1:18 AM